# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2020-04-20 12:48
from __future__ import unicode_literals

import consensus_base.models
from django.db import migrations, models
import django.db.models.deletion
import uuid


def forwards(apps, schema_editor):
    if schema_editor.connection.alias != 'default':
        return
    model_question = apps.get_model('consensus_base', 'PollQuestion')
    model_section = apps.get_model('consensus_base', 'PollSection')

    for question in model_question.objects.all():
        try:
            section = model_section.objects.get(poll=question.poll)
        except Exception:
            section = model_section(poll=question.poll, title= "Section")
            section.save()
        question.section = section
        question.save()


class Migration(migrations.Migration):

    dependencies = [
        ('consensus_base', '0009_auto_20180608_0620'),
    ]

    operations = [
        migrations.CreateModel(
            name='PollSection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1000)),
                ('slug', models.SlugField(blank=True)),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('help', models.TextField(max_length=10000)),
                ('hide', models.BooleanField(default=False)),
                ('poll', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='consensus_base.Poll')),
            ],
        ),
        migrations.AddField(
            model_name='pollquestion',
            name='section',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='consensus_base.PollSection'),
            preserve_default=False,
        ),
        migrations.RunPython(forwards),
        migrations.RemoveField(
            model_name='pollquestion',
            name='poll',
        ),
    ]
